Bug 439977 - Request: build twisted for EPEL
Request: build twisted for EPEL
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-twisted (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Vander Stichele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-01 02:27 EDT by Marek Mahut
Modified: 2009-07-14 12:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:38:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2008-04-01 02:27:10 EDT
Description of problem:

I would like to kindly ask if it's possible to build python-twisted and
submodules for EPEL 5.

Let me know if you need my help.

Thank you very much.
Comment 1 Bug Zapper 2008-05-14 04:30:21 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michael Stahnke 2009-02-11 22:03:23 EST
There was discussion about building python-twisted on the EPEL mailing list tonight.  

Thomas, it looks like you are maintainer for all python-twisted packages.  We are missing the following twisted packages still. 

%{python}-twisted-conch  -- Built in mock from F-9 without issue 
%{python}-twisted-lore   -- Built in mock from F-9 without issue
%{python}-twisted-mail  -- Built in mock from F-9 without issue
%{python}-twisted-news   -- Built in mock from F-9 without issue
%{python}-twisted-runner -- Built in mock from F-9 without issue

I was able to build the F-9 version in mock on EL5.  I didn't do any testing with it, since I don't use Twisted, but everything appeared to be alright. 

If you are not interested in maintaining these package for EPEL, please contact the EPEL mailing list (or update this bug) and somebody will probably volunteer to take it in EPEL.  This is a nice framework that many people can and will use. 

Thanks, 

Mike Stahnke
Comment 3 Thomas Vander Stichele 2009-03-23 09:20:18 EDT
OK for me if someone wants to co-maintain with me in EPEL.
Comment 4 Peter Lemenkov 2009-03-23 10:04:37 EDT
If nobody else volunteers, then I can co-maintain it (we're using it in some of our internal products on CentOS machines, and, definitely, we will expand the use of this framework in the future). 

However, if there are other guys, who more familiar with Twisted, and who willing to co-maintain it, then they probably will be more suitable candidates than me.
Comment 5 Bug Zapper 2009-06-09 19:57:19 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:38:36 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.